<hr>
<div class="order_report">
    <div class="orders-grid orders-grid_default " v-for="order in fields.order">
        <div class="orders-grid__item">
            <div class="ord ord_default">
                <div class="ord__row">
                    <div class="ord__cell ord__cell_start_section">
                        <div class="ord__cell_side ord__cell_side_top">
                            <h5 class="ord__title">
                                <a class="link link_title" :href=`/order/detail/${order.id}`>${ order.order_type }</a>
                            </h5>
                            <div class="ord__id" >
                                №${ order.number_buh } <small v-if="order.date_start"> от ${(order.date_start || '').split('-').reverse().join('.')}</small>
                            </div>
                            <div v-if="order.order_type == 'Подбор «под ключ»'">
                                {% if not user.is_client and not order.order_type_code == 'PPK' %}
                                <div class="ord__comment_list">
                                    ${ order.comment }
                                </div>
                                {% endif %}
                            </div>
                            <date-range v-if="order.order_type == 'Подбор «под ключ»'" v-bind:order="order"></date-range>
                            <div class="ord__reports" v-if="order.reports_count">
                                <img src="/static/img/assets/orders/order-report.svg" alt="">
                                <a class="link link_title" :href="`/order/detail/${order.id}#reports`">
                                    <span v-if="order.reports_count > 0"> Отчетов <b>${ order.reports_count }</b> </span> {% if user.is_leader %}
                                    <span v-if="order.reports_non_read_count && order.reports_non_read_count > 0" style="margin-left: 2px;"><b style="color:red">+${order.reports_non_read_count}</b></span> {% endif %}
                                </a>
                            </div>
            
                            <div v-if="order.status_closing && order.status_closing_date" class="ord__closed_date">
                                Закрыт: ${order.status_closing_date}
                            </div>
                        </div>
                        <div class="ord__cell_side ord__cell_side_bottom">
                            <div class="ord__user_info">
                                <div class="ord__user_info_row">
                                    <div class="ord__user_info_icon">
                                        <img src="/static/img/assets/orders/order-position.svg" alt="">
                                    </div>
                                    <div class="ord__user_info_text" v-if="order.filial">
                                        ${order.filial.name}
                                    </div>
                                </div>
                                <div class="ord__user_info_row">
                                    <div class="ord__user_info_icon">
                                        <img src="/static/img/assets/orders/order-human.svg" alt="">
                                    </div>
                                    <div class="ord__user_info_text">
                                        {% if perms.core.view_user %}
                                        <a class="link link_title" :href="`/user/user_detail/${order.client.id}`">${ order.client.full_name }</a> {% else %}
                                        <a class="link link_title" :href="order.client.id == {{ request.user.id }} ? `/user/user_detail/${order.client.id}` : null">${ order.client.full_name }</a> {% endif %}
                                    </div>
                                </div>
                                <div class="ord__user_info_row">
                                    <div class="ord__user_info_icon">
                                        <img src="/static/img/assets/orders/order-phone.svg" alt="">
                                    </div>
                                    <div class="ord__user_info_text">
                                        <a class="link link_title" :href="`tel:${order.client.phone}`">
                                            ${order.client.phone}
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="ord__cell ord__cell_middle_section">
                        <div v-if="order.order_type != 'Подбор «под ключ»'" style="width:100%">
                            {% if not user.is_client and not order.order_type_code == 'PPK' %}
                            <div class="ord__comment_list">
                                ${ order.comment }
                            </div>
                            {% endif %}
                        </div>
                        <div v-else class="ord__criteria">
                            <div v-if="isSlidersActive && isOrderHasTwoCars(order.podborauto_set)" class="ord__criteria_counter-mobile">
                                Критерии (<span>1</span>/2):
                            </div>
                            <div class="ord__criteria_holder" :class="isOrderHasTwoCars(order.podborauto_set) ? 'ord__criteria_item_twise' : null">
                                <div v-for="ordAuto in isOrderHasTwoCars(order.podborauto_set) ? [0,1] : [0]" class="ord__criteria_item" v-html="getAutoPpk(order.podborauto_set[ordAuto])"></div>
                            </div>
                        </div>
                    </div>
                    <div class="ord__cell ord__cell_end_section">
                        <div class="ord__cell_side ord__cell_side_top ord__performers">
                            <div class="ord__performers_item">
                                <div class="ord__performers_title">
                                    <span>Подбор:</span>
                                </div>
                                <div class="ord__performers_users" v-if="order.expert.length > 0">
                                    <div v-for="user in order.expert">
                                        {% if perms.core.view_user %}
                                        <a class="link link_title" :href="`/user/user_detail/${user.id}`">${ user.full_name }</a> {% else %}
                                        <a class="link link_title" :href="user.id == {{ request.user.id }} ? `/user/user_detail/${user.id}` : null">${ user.full_name }</a> {% endif %}
                                    </div>
                                </div>
                                <div v-else class="ord__performers_users">
                                    <small>Не выбрано</small>
                                </div>
                            </div>
                            <div class="ord__performers_item">
                                <div class="ord__performers_title">
                                    <span>Перепроверка:</span>
                                </div>
                                <div class="ord__performers_users" v-if="order.expert_check.length > 0">
                                    <div v-for="user in order.expert_check">
                                        {% if perms.core.view_user %}
                                        <a class="link link_title" :href="`/user/user_detail/${user.id}`">${ user.full_name }</a> {% else %}
                                        <a class="link link_title" :href="user.id == {{ request.user.id }} ? `/user/user_detail/${user.id}` : null">${ user.full_name }</a> {% endif %}
                                    </div>
                                </div>
                                <div v-else class="ord__performers_users">
                                    <small>Не выбрано</small>
                                </div>
                            </div>
                            <div class="ord__performers_item">
                                <div class="ord__performers_title">
                                    <span>Сдача:</span>
                                </div>
                                <div class="ord__performers_users" v-if="order.transferring.length > 0">
                                    <div v-for="user in order.transferring">
                                        {% if perms.core.view_user %}
                                        <a class="link link_title" :href="`/user/user_detail/${user.id}`">${ user.full_name }</a> {% else %}
                                        <a class="link link_title" :href="user.id == {{ request.user.id }} ? `/user/user_detail/${user.id}` : null">${ user.full_name }</a> {% endif %}
                                    </div>
                                </div>
                                <div v-else class="ord__performers_users">
                                    <small>Не выбрано</small>
                                </div>
                            </div>
                            <!-- <div class="variable__value">${ getReports(order) }</div> -->
                        </div>
            
                        {% if user.is_admin or user.is_leader or user.is_acounter or user.is_expert %}
                        <div class="ord__performers_item" v-if="order.refund_amount != 0 && order.refund_amount != null">
                            <div class="ord__expert_compensation">
                                <span>Возврат: ${getOrderCost(order.refund_amount)} ₽</span>
                            </div>
                        </div>
                        <div class="ord__performers_item" v-if="order.expert_compensation != 0 && order.expert_compensation != null">
                            <div class="ord__expert_compensation">
                                <span>Компенсация: ${getOrderCost(order.expert_compensation)} ₽</span>
                            </div>
                        </div>
                        {% endif %}
                        <div class="ord__cell_side ord__cell_side_bottom">
                            <div class="ord__price">
                                ${getOrderCost(order.cost)} ₽
                            </div>
                            <div class="ord__payment">
                                <div class="ord__payment_status" :class="getOrderPaymentStatus(order.status_pay)">
                                    ${ order.status_pay }
                                    <span v-if="order.paid">${order.paid} ₽</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div v-if="order.status_closing" class="ord__status ord__status_closed">
                    <span>закрыт | ${ order.status }</span>
                </div>
                <div v-else-if="order.canceled" class="ord__status status_cancelled">отменен</div>
                <div v-else class="ord__status" :class="getOrderStatusClass(order.status)">
                    <span>${ order.status }</span>
                </div>
            </div>
        </div>
    </div>
</div>
